## org.apache.batik.xml
Class XMLCharacters

    java.lang.Object
      org.apache.batik.xml.XMLCharacters

Direct Known Subclasses:
  XMLUtilities

public class XMLCharacters
extends java.lang.Object

This class contains the definitions of the arrays used to find the type of the characters found in an XML document.

Field Summary
`static int[]` `ALPHABETIC_CHARACTER` The bit array representing an alphabetic character.
`static int[]` `NAME_CHARACTER` The bit array representing a character compositing an XML name.
`static int[]` `NAME_FIRST_CHARACTER` The bit array representing the first character of an XML name.
`static int[]` `PUBLIC_ID_CHARACTER` The bit array representing the valid XML public ID characters.
`static int[]` `VERSION_CHARACTER` The bit array representing the valid XML version characters.
`static int[]` `XML_CHARACTER` The bit array representing a valid XML character in the unicode range [0-FFFF].

Constructor Summary
`protected` `XMLCharacters()` This class does not need to be instantiated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME_FIRST_CHARACTER

    public static final int[] NAME_FIRST_CHARACTER

  The bit array representing the first character of an XML name.

### NAME_CHARACTER

    public static final int[] NAME_CHARACTER

  The bit array representing a character compositing an XML name.

### XML_CHARACTER

    public static final int[] XML_CHARACTER

  The bit array representing a valid XML character in the unicode range [0-FFFF].

### PUBLIC_ID_CHARACTER

    public static final int[] PUBLIC_ID_CHARACTER

  The bit array representing the valid XML public ID characters.

### VERSION_CHARACTER

    public static final int[] VERSION_CHARACTER

  The bit array representing the valid XML version characters.

### ALPHABETIC_CHARACTER

    public static final int[] ALPHABETIC_CHARACTER

  The bit array representing an alphabetic character.

Constructor Detail

### XMLCharacters

    protected XMLCharacters()

  This class does not need to be instantiated.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.